Main Page Widgets Namespaces Book

# relation.h File Reference

## Namespaces

namespace | Atk
namespace | Glib

## Classes

class | Atk::Relation
| An Atk::Relation describes a relation between an object and one or more other objects. More...

## Enumerations

enum

Atk::RelationType {
Atk::RELATION_NULL,
Atk::RELATION_CONTROLLED_BY,
Atk::RELATION_CONTROLLER_FOR,
Atk::RELATION_LABEL_FOR,
Atk::RELATION_LABELLED_BY,
Atk::RELATION_MEMBER_OF,
Atk::RELATION_NODE_CHILD_OF,
Atk::RELATION_FLOWS_TO,
Atk::RELATION_FLOWS_FROM,
Atk::RELATION_SUBWINDOW_OF,
Atk::RELATION_EMBEDS,
Atk::RELATION_EMBEDDED_BY,
Atk::RELATION_POPUP_FOR,
Atk::RELATION_PARENT_WINDOW_OF,
Atk::RELATION_LAST_DEFINED
}